Package csb :: Package bio :: Package hmm :: Class HHpredHit

[frames] | no frames]

# Class HHpredHit

source code

    object --+
             |
            HHpredHit

Represents a single HHsearch hit.

Instance Methods

__init__(self, rank, id, start, end, qstart, qend, probability, qlength) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__lt__(self, other) | source code

__repr__(self) repr(x) | source code

__str__(self) str(x) | source code

add_alignment(self, query, subject) Add query/subject alignment to the hit. | source code

bool

equals(self, other) Return True if `self` is completely identical to `other` (same id, same start and end positions). | source code

bool

includes(self, other, tolerance=1) Return True if `other` overlaps with `self`, that means `other` is fully or partially included in `self` when aligned over the query. | source code

bool

surpasses(self, other) Return True if `self` is a superior to `other` in terms of length and probability. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
| alignment
| end
| evalue
| id
| identity
| length
| prob_sum
| probability
| pvalue
| qend
| qlength
| qstart
| rank
| score
| similarity
| slength
| ss_score
| start
Inherited from `object`: `__class__`

Method Details

### __init__(self, rank, id, start, end, qstart, qend, probability, qlength)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `rank` (int) - rank of the hit
  - `id` (str) - id of the hit
  - `start` (int) - subject start
  - `end` (int) - subject end
  - `qstart` (int) - query start
  - `qend` (int) - query end
  - `probability` (float) - probability of the hit
  - `qlength` (int) - length of the query
Overrides: object.__init__
  (inherited documentation)

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)

### add_alignment(self, query, subject)

source code

Add query/subject alignment to the hit.

Parameters:
  - `query` (str) - the query sequence within the alignment region, with gaps
  - `subject` (str) - the subject sequence within the alignment region, with gaps

### equals(self, other)

source code

Return True if `self` is completely identical to `other` (same id, same start and end positions).

Parameters:
  - `other` (HHpredHit) - right-hand-term
Returns: bool

### includes(self, other, tolerance=1)

source code

Return True if `other` overlaps with `self`, that means `other` is fully or partially included in `self` when aligned over the query.

Parameters:
  - `other` (HHpredHit) - right-hand-term
  - `tolerance` (int) - allow partial overlaps for that number of residues at either end
Returns: bool

### surpasses(self, other)

source code

Return True if `self` is a superior to `other` in terms of length and probability. These criteria are applied in the following order:

1. Length (the longer hit is better)
2. Probability (if they have the same length, the one with the higher probability is better)
3. Address (if they have the same length and probability, the one with higher memory ID wins; for purely practical reasons)

Parameters:
  - `other` (HHpredHit) - right-hand-term
Returns: bool

Property Details

### alignment

Get Method:
  unreachable.alignment(self)

### end

Get Method:
  unreachable.end(self)
Set Method:
  unreachable.end(self, value)

### evalue

Get Method:
  unreachable.evalue(self)
Set Method:
  unreachable.evalue(self, value)

### id

Get Method:
  unreachable.id(self)
Set Method:
  unreachable.id(self, value)

### identity

Get Method:
  unreachable.identity(self)
Set Method:
  unreachable.identity(self, value)

### length

Get Method:
  unreachable.length(self)

### prob_sum

Get Method:
  unreachable.prob_sum(self)
Set Method:
  unreachable.prob_sum(self, value)

### probability

Get Method:
  unreachable.probability(self)
Set Method:
  unreachable.probability(self, value)

### pvalue

Get Method:
  unreachable.pvalue(self)
Set Method:
  unreachable.pvalue(self, value)

### qend

Get Method:
  unreachable.qend(self)
Set Method:
  unreachable.qend(self, value)

### qlength

Get Method:
  unreachable.qlength(self)
Set Method:
  unreachable.qlength(self, value)

### qstart

Get Method:
  unreachable.qstart(self)
Set Method:
  unreachable.qstart(self, value)

### rank

Get Method:
  unreachable.rank(self)
Set Method:
  unreachable.rank(self, value)

### score

Get Method:
  unreachable.score(self)
Set Method:
  unreachable.score(self, value)

### similarity

Get Method:
  unreachable.similarity(self)
Set Method:
  unreachable.similarity(self, value)

### slength

Get Method:
  unreachable.slength(self)
Set Method:
  unreachable.slength(self, value)

### ss_score

Get Method:
  unreachable.ss_score(self)
Set Method:
  unreachable.ss_score(self, value)

### start

Get Method:
  unreachable.start(self)
Set Method:
  unreachable.start(self, value)